<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBillingReceiptLabel" jhiTranslate="mpmApp.billingReceipt.home.createOrEditLabel">Create or edit a Billing Receipt</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!billingReceipt.idBilling">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="billingReceipt.idBilling" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.billingNumber" for="field_billingNumber">Billing Number</label>
                    <input type="text" class="form-control" name="billingNumber" id="field_billingNumber"
                        [(ngModel)]="billingReceipt.billingNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="billingReceipt.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.dateDue" for="field_dateDue">Date Due</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateDue" name="input_dateDue" [(ngModel)]="billingReceipt.dateDue"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>

                <div class="form-group" *ngIf="idBillingType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.billingType" for="field_billingType">Billing Type</label>
                    <select class="form-control" id="field_billingType" name="billingType" [(ngModel)]="billingReceipt.billingTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billingTypeOption.idBillingType" *ngFor="let billingTypeOption of billingtypes; trackBy: trackBillingTypeById">{{billingTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="billingReceipt.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.billTo" for="field_billTo">Bill To</label>
                    <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="billingReceipt.billToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingReceipt.billFrom" for="field_billFrom">Bill From</label>
                    <select class="form-control" id="field_billFrom" name="billFrom" [(ngModel)]="billingReceipt.billFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
